<?
//This can be used via apisb.checkissuing.com or api.checkissuing.com (sandbox test environment, or live service)

// Here we define our client ID
define('AUTH_CLIENT_ID', '1');

// And finally our auth key
define('AUTH_KEY', '');

function upload_document_file_single_custom_address($filename) {					
	$data = array(
		'client_id' => AUTH_CLIENT_ID, 
		'akey' => AUTH_KEY, 
		'document_file' => '@' . $filename, 
		'document_type' => 'single', 
		'document_address_type' => 'address_provided_separately', 
		'print_type' => 'black_white', 
		'mail_to' => 'Sample Recipient',
		'address' => 'Addr',
		'address2' => 'Addr2', 
		'city' => 'City',
		'state' => 'State',
		'zip' => '12345', 
		'country' => 'US', 
		'trans_id' => 'Test Transaction',
		'document_return_address_option' => 'custom', 
		'document_return_address' => 'Sample Custom Return Address'
	);
	
	// For sandbox
	//$ch = curl_init('https://apisb.checkissuing.com/documents/add');

	// For live
  $ch = curl_init('https://api.checkissuing.com/documents/add');
  
  curl_setopt($ch, CURLOPT_POST, 1);
  curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  $s = curl_exec($ch);
  curl_close($ch);
  
	return $s;
}

function upload_document_file_single_address_in_pdf($filename) {					
	$data = array(
		'client_id' => AUTH_CLIENT_ID, 
		'akey' => AUTH_KEY, 
		'document_file' => '@' . $filename, 
		'document_type' => 'single', 
		'document_address_type' => 'address_included_in_file',  
		'print_type' => 'black_white', 
		'trans_id' => 'Test Transaction',
		'document_return_address_option' => 'custom',
		'document_return_address' => 'Sample Custom Return Address'
	);
	
	// For sandbox
	//$ch = curl_init('https://apisb.checkissuing.com/documents/add');

	// For live
  $ch = curl_init('https://api.checkissuing.com/documents/add');
  
  curl_setopt($ch, CURLOPT_POST, 1);
  curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  $s = curl_exec($ch);
  curl_close($ch);
  
	return $s;
}

function upload_document_file_bundle($filename) {
	$data = array(
		'client_id' => AUTH_CLIENT_ID, 
		'akey' => AUTH_KEY, 
		'document_file' => '@' . $filename, 
		'document_type' => 'bundle', 
		'bundle_mail_to' => 'Mail To Recipient',
		'bundle_address' => 'Addr', 
		'bundle_address2' => 'Addr2', 
		'bundle_city' => 'City', 
		'bundle_state' => 'State', 
		'bundle_zip' => 'Zip', 
		'bundle_country' => 'Country',
		'bundle_count' => '5', 		
		'document_address_type' => 'address_included_in_file', 
		'print_type' => 'black_white', 
		'trans_id' => 'Test Transaction',
		'document_return_address_option' => 'checkissuing', 
		'document_return_address' => ''
	);
	
	// For sandbox
	//$ch = curl_init('https://apisb.checkissuing.com/documents/add');

	// For live
  $ch = curl_init('https://api.checkissuing.com/documents/add');
  
  curl_setopt($ch, CURLOPT_POST, 1);
  curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  $s = curl_exec($ch);
  curl_close($ch);
  
	return $s;
}

function upload_document_file_mailing_list($filename, $mailing_list_filename) {
	$data = array(
		'client_id' => AUTH_CLIENT_ID, 
		'akey' => AUTH_KEY, 
		'document_file' => '@' . $filename, 
		'mailing_list_file' => '@' . $mailing_list_filename,
		'document_type' => 'mailing_list', 
		'document_address_type' => 'address_included_in_file',  
		'print_type' => 'black_white',   
		'trans_id' => 'Test Transaction',
		'document_return_address_option' => 'checkissuing', 
		'document_return_address' => ''
	);
	
	// For sandbox
	//$ch = curl_init('https://apisb.checkissuing.com/documents/add');

	// For live
  $ch = curl_init('https://api.checkissuing.com/documents/add');
  
  curl_setopt($ch, CURLOPT_POST, 1);
  curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  $s = curl_exec($ch);
  curl_close($ch);
  
	return $s;
}

// Let's call the document file add.
$document_file_path = dirname(__FILE__) . '/document-example.pdf';
$document_mailing_list_file_path = dirname(__FILE__) . '/document-mailing-list-example.csv';

$result = upload_document_file_single_custom_address($document_file_path);
//$result = upload_document_file_single_address_in_pdf($document_file_path);
//$result = upload_document_file_bundle($document_file_path);
//$result = upload_document_file_mailing_list($document_file_path, $document_mailing_list_file_path);

// Let's output this XML to show it
echo '<pre>' . print_r($result, true) . '</pre>';
?>